#
# spec file for package fretsonfire
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
Name:           fretsonfire
Version:        1.3.110
Release:        4.1
Url:            http://fretsonfire.sourceforge.net/
License:        GPL-2.0+
Group:          Amusements/Games/Action/Arcade
Summary:        A game of musical skill and fast fingers
Source:         %{name}-%{version}.tar.bz2
NoSource:       0
Source1:        %{name}.desktop
Patch0:         %{name}-%{version}.patch
Patch1:         %{name}-%{version}-font-revert.patch
Patch2:         %{name}-%{version}-keep_sound_when_failed.patch
Patch3:         %{name}-%{version}-typeerror.patch
Patch4:         %{name}-%{version}-settings.patch
Patch5:         %{name}-%{version}-song-chooser.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%py_requires
BuildArch:      noarch
BuildRequires:  python update-desktop-files fdupes
Requires:       python-pygame python-opengl python-numeric python-imaging python-ogg python-vorbis python-numpy

%description
Frets on Fire is a game of musical skill and fast fingers. The aim of the game is to play guitar with the keyboard as accurately as possible.

%prep
%setup -q
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5
# remove unused files
rm -f MANIFEST* Makefile PKG-INFO install.txt setup.cfg setup.py
rm -rf Frets_on_Fire.egg-info
rm -f data/*.svg data/*.pyc data/Makefile data/*.ico data/*.icns data/*.sh
rm -f data/mods/*/*.svg
rm -f data/songs/*.sh data/songs/*/*.svg
rm -rf data/translations/old data/translations/*.po data/translations/*.py data/win32 doc
rm -f src/*.pot src/midi/*.txt src/TestAll.py src/[rs]*.py
# fix attributes of files
chmod -x copying.txt data/*.png data/songs/*/*

%build
# compile scripts
python -mcompileall .

%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/games/%{name}
cp -a data $RPM_BUILD_ROOT%{_datadir}/games/%{name}
cp -a src/* $RPM_BUILD_ROOT%{_datadir}/games/%{name}
mkdir -p $RPM_BUILD_ROOT%{_prefix}/games
ln -s %{_datadir}/games/%{name}/FretsOnFire.py $RPM_BUILD_ROOT%{_prefix}/games/fretsonfire
install -D -m 0644 data/icon.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png
%suse_update_desktop_file -i %{name} Game ArcadeGame
%fdupes %buildroot

%files
%defattr(-,root,root)
%doc copying.txt readme.txt todo.txt
%{_prefix}/games/%{name}
%dir %{_datadir}/games/%{name}
%{_datadir}/games/%{name}/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*

%changelog
* Sun May 27 2012 jengelh@inai.de
- Remove redundant tags/sections from specfile
- Use fdupes to reduce duplicate files
* Thu Feb 12 2009 prusnak@suse.cz
- updated to 1.3.110
* Wed Aug  6 2008 prusnak@suse.cz
- fix broken Requires
* Wed Nov  7 2007 prusnak@suse.cz
- created package (version 1.2.512)
